<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header">
        <strong *ngIf="id; else newTitle">Edit Exam</strong>
        <ng-template #newTitle>
          <strong>New Exam</strong>
        </ng-template>
      </div>
      <form [formGroup]="exam" (ngSubmit)="onSubmit()">
        <div class="card-body">
          <tabset>
            <tab heading="Info">
              <div class="form-group">
                <label class="form-col-form-label" for="name">Name</label>
                <input type="text" class="form-control" id="name" formControlName="name">
              </div>
              <div class="form-group">
                <label class="form-col-form-label" for="description">Description</label>
                <textarea id="description" name="description" rows="6" class="form-control" formControlName="description"></textarea>
              </div>
              <div class="form-group">
                <label for="beginDate">Begin Date</label>
                <input type="text" class="form-control" id="beginDate" formControlName="beginDate" mask="0000-00-00 00:00:00" [dropSpecialCharacters]="false">
              </div>
              <div class="form-group">
                <label for="endDate">End Date</label>
                <input type="text" class="form-control" id="endDate" formControlName="endDate" mask="0000-00-00 00:00:00" [dropSpecialCharacters]="false">
              </div>
              <div class="form-group">
                <label for="grade">Grade</label>
                <input type="number" class="form-control" id="grade" formControlName="grade">
              </div>
            </tab>
            <tab heading="Questions">
              <div class="form-group">
                <label for="categoryToFilter">Category</label>
                <select id="categoryToFilter" name="categoryToFilter" class="form-control" [(ngModel)]="categoryToFilter" (ngModelChange)="fetchQuestions()" [ngModelOptions]="{standalone: true}">
                  <option value="0">Please select</option>
                  <option *ngFor="let category of categories.content"
                    [value]="category.id"
                    [selected]="category.id === categoryToFilter">{{ category.name }}</option>
                </select>
              </div>

              <table class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th></th>
                    <th>ID</th>
                    <th>Question Type</th>
                    <th>Category</th>
                    <th>Title</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let item of questions.content">
                    <td><input type="checkbox" [value]="item.id" [checked]="isChecked(item.id, 'questionIds')" (change)="onCheckboxChange($event, 'questionIds')"/></td>
                    <td>{{ item.id }}</td>
                    <td>{{ item.questionTypeName }}</td>
                    <td>{{ item.categoryName }}</td>
                    <td>{{ item.title }}</td>
                  </tr>
                </tbody>
              </table>
            </tab>
            <tab heading="Rated">
              <table class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th></th>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Gender</th>
                    <th>CPF</th>
                    <th>E-mail</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let item of rated.content">
                    <td><input type="checkbox" [value]="item.id" [checked]="isChecked(item.id, 'ratedIds')" (change)="onCheckboxChange($event, 'ratedIds')"/></td>
                    <td>{{ item.id }}</td>
                    <td>{{ item.personName }}</td>
                    <td>{{ item.personGender }}</td>
                    <td>{{ item.personCpf }}</td>
                    <td>{{ item.personEmail }}</td>
                </tbody>
              </table>
            </tab>
          </tabset>
        </div>
        <div class="card-footer">
          <button type="submit" class="btn btn-sm btn-primary" [disabled]="exam.invalid"><i class="fa fa-dot-circle-o"></i> Submit</button>
          <button type="button" class="btn btn-sm btn-danger" (click)="onGoBack()"><i class="fa fa-arrow-left"></i> Go Back</button>
        </div>
      </form>
    </div>
  </div>
</div>
